#ifndef   __GLOBAL_H_
#define  __GLOBAL_H_

#define    HIN_PIN           FP32 
#define    LIN_PIN           FP31

#define    HIN2_PIN          FP36 
#define    LIN2_PIN          FP35

#define  MOTOR_STOP    0
#define  MOTOR_FWD     1
#define  MOTOR_REV     2

//#define    MOTOR_STOP        HIN_PIN=0;LIN_PIN=0
//#define    MOTOR_FWD         HIN_PIN=1;LIN_PIN=0
//#define    MOTOR_REV         HIN_PIN=0;LIN_PIN=1

struct MOTOR_STRUCT
{
  uint8_t u8ShutDownCurrent;           //ضϵ  0-5Aֹͣ  P1
  uint8_t u8CurrentProtectDelayTime;   //ҲҪһʱʱ䣬ʱɵ0-5  P2
  uint8_t u8MotorStartDelayTime;       //Ҫһʱʱ䣬ʱɵ0-5  P3
  uint8_t u8CurrentErr;                // 
  uint8_t u8motorCurrent;              //
  uint8_t u8motorStatus;               //״̬
  uint8_t u8ADCDelayTime;              //˲ʱ
  uint8_t u8ADCDelayEn;
};

extern struct MOTOR_STRUCT motorStruct;

/*
struct TIMER_STRUCT
{
  uint8_t u8SecTmp;
  uint8_t u8MinTmp;
  uint8_t u8HourTmp;              
};
extern struct TIMER_STRUCT timerStruct;
*/
extern void motor_out(void);
void load_value_to_adt(void);
extern void beep_ctr(void);
extern void system_init(void);
extern void dis_ctr(void);
extern void sleep_ctr(void);
extern void key_service(void);
extern void motor_ctr(void);
extern void get_motor_current(void);
extern void read_dat_from_e2porom(void);
extern void motor_adc_delay_judge(void);
#endif

