#ifndef   __KEY_H
#define   __KEY_H

#define    P_K1          FP33  //ü   
#define    P_K2          FP34  //INC   
#define    P_K3          FP34  //DEC   
#define    P_SWITCH1     FP22  //翪,ڼǷ

#define    K2K3_UP       P3UR=0x18  
#define    K2K3_DOWN     P3UR=0x00

struct KEY_STRUCT
{
  unsigned  bitShortClickTmp:1;         
  unsigned  bitShortClick:1;             
  unsigned  bitLock:1;                 
  unsigned  bitLongClick:1;             
  uint8_t   u8PinNow;          
  uint8_t   u8PinLast;        
  uint8_t   u8count1;                
  uint8_t   u8count2;         
  uint8_t   u8KeyValue;            
};  

#define SWITCH_MAX          1
#define SWITCH_K1           0

struct SWITCH_STRUCT
{
  uint8_t bitStatus;                
  uint8_t u8count1;                 
  uint8_t u8count2;                
}; 

extern struct SWITCH_STRUCT structSwitch[SWITCH_MAX];
extern struct KEY_STRUCT structKey;    
extern void scan_key(void);
#endif