#include "FC2704.h"
#include"tim.h"
#include"adc.h"
#include"leddisplay.h"
#include"adc.h"

bit bit250us=0;
bit bit1ms=0;
bit bit50ms=0;
bit bit10ms=0;
bit bit100ms=0;

/******************************************************************************************************
*      ƣжϷ
*      ܣ
*  ڲ
*  ڲ
*      ڣ2019.6.14
*      ߣм
******************************************************************************************************/
void __interrupt[0x8] isr(void)
{ 
  static uint8_t u8step=0,u8ptr=0x01;   
  uint8_t u8tmp=0;

  static uint8_t i=0,j=0,x=0,t=0;
  if(T0IF)
  {
    T0C=68;      //装初??        
    j++;
    bit250us=1;
   
 
  if((u8step==0)||(u8step==8))
  u8ptr=0x01; 
  
  if(u8step<8)
  { 
    COM2_DIS;
    u8tmp=u8digTable[disStruct.u8ten]; 
    if(disStruct.bitDp1)
    u8tmp|=0x80;       
    u8tmp&=u8ptr;
    u8ptr<<=1;

    if(u8tmp&0x01)
    {
      A_H;
    }
    else
    {
      A_L; 
    } 
    
    if(u8tmp&0x02)
    {
      B_H;
    } 
    else
    {
      B_L;
    }
  
    if(u8tmp&0x04)
    {
      C_H;
    } 
    else
    {
      C_L;
    }  
  
    if(u8tmp&0x08)
    {
      D_H;
    }  
    else 
    {
      D_L;
    } 
  
    if(u8tmp&0x10)
    {
      E_H;
    }
    else
    {
      E_L;
    }
  
    if(u8tmp&0x20)
    {
      F_H;
    }  
    else
    {
      F_L;
    }  
  
    if(u8tmp&0x40)
    {
      G_H;
    } 
    else
    {
      G_L;
    }  
  
    if(u8tmp&0x80)
    {
      DP_H;
    } 
    else
    {
      DP_L;
    }    
    COM1_EN;      
  }
  else 
  {
    COM1_DIS;
    u8tmp=u8digTable[disStruct.u8one]; 
    u8tmp&=u8ptr;
    u8ptr<<=1;


 if(u8tmp&0x01)
  {
    A_H;
  }
  else
  {
    A_L; 
  } 
    
  if(u8tmp&0x02)
  {
    B_H;
  } 
  else
  {
    B_L;
  }
  
  if(u8tmp&0x04)
  {
    C_H;
  } 
  else
  {
    C_L;
  }  
  
  if(u8tmp&0x08)
  {
    D_H;
  }  
  else 
  {
    D_L;
  } 
  
  if(u8tmp&0x10)
  {
    E_H;
  }
  else
  {
    E_L;
  }
  
  if(u8tmp&0x20)
  {
    F_H;
  }  
  else
  {
    F_L;
  }  
  
  if(u8tmp&0x40)
  {
    G_H;
  } 
  else
  {
    G_L;
  } 
  
    if(u8tmp&0x80)
    {
      DP_H;
    } 
    else
    {
      DP_L;
    }     
      
    COM2_EN;          
  }  
  u8step++;
  if(u8step>14)
  {
    u8step=0;      
  }


    if(j>3)  
    {
      j=0;
      bit1ms=1; 
      i++;
      x++;
	  t++;
    }  
    if(i>9)
    {
      i=0;  
      bit10ms=1;     
    } 
	if(t>49)
	{
	  t=0;
	  bit50ms=1;
	}	 
    if(x>99)
    {
      x=0;
      bit100ms=1;
    }  
    T0IF=0;//清除中断标志?
  }

  if(ADCIF)
  {
    u16adcTmp=ADB;         
    u16adcTmp<<=4;
    u16adcTmp +=(ADR&0x0F);
	ADCIF=0;
  }
}
/******************************************************************************************************
*      ƣvoid t0_enable(void)
*      ܣt0ʱж
*  ڲ
*  ڲ
*  ˵    
*      
*      ڣ2019614
*      ߣм
******************************************************************************************************/
void t0_enable(void)
{
//12000KHz/4/4/(256-68)=4KHz
  T0M=0xE0;      //T0TR T0PS2 T0PS1 T0PS0 - - - -   000,Fcpu/256 001/128 010/64 011/32 100/16 101/8 110/4 111/2
  T0C=68;        //
  T0IE=1;       //T0ж
  FGIE=1;
}
/******************************************************************************************************
*      ƣvoid t0_disable(void)
*      ܣt0ʱж
*  ڲ
*  ڲ
*  ˵    
*      
*      ڣ2019614
*      ߣм
******************************************************************************************************/
void t0_disable(void)
{
  T0M=0x00;	
  T0IE=0;
  FGIE=0;
}
