#ifndef   __KEY_H
#define  __KEY_H

#define    P_50HZ_IN      FP15

#define    FAN_EN         FP17=0    //ʹ
#define    FAN_DIS        FP17=1    //ʹ

#define    FAN_CTR_EN     FP20=0    //ȿɿعƽ
#define    FAN_CTR_DIS    FP20=1    //ȿɿعƽ

#define    SW_EN          FP13=0   //ҡͷ
#define    SW_DIS         FP13=1   //رҡͷ

#define    P_KEY_ONOFF    FP37
#define    P_KEY_DEC      FP31
#define    P_KEY_MODE     FP32
#define    P_KEY_SW       FP33
#define    P_KEY_TIME     FP34
#define    P_KEY_INC      FP22

#define KEY_SW     0
#define KEY_MODE   1
#define KEY_DEC    2
#define KEY_INC    3
#define KEY_ONOFF  4
#define KEY_TIME   5

#define KEY_MAX   6
#define STATUS_0FF       0
#define STATUS_ON        1


struct KEY_STRUCT
{
  uint8_t   bitShortClickTmp;       // ̰־ʱ  
  uint8_t   bitShortClick;          // ̰־λ
  uint8_t   bitLock;                //־λ
  uint8_t   bitLongClick;           //־λ  
  uint8_t   u8count;               // ʱ  
};  

extern uint8_t u8status;
extern uint8_t u8speed;
extern uint8_t u8hour;
//extern bool bitBeepEn;
extern struct KEY_STRUCT structKey[KEY_MAX];    
extern void scan_key(void);
extern void key_service(void);
#endif