#line 1 ".\Src\global.c"
#line 1 "C:\Sonix\SN8_C_~1.140\C\include\SonixDef.h"



unsigned long GetRollingCode(unsigned int offset);








struct _intrinsicbitfield
{
	unsigned bit0:1;
	unsigned bit1:1;
	unsigned bit2:1;
	unsigned bit3:1;
	unsigned bit4:1;
	unsigned bit5:1;
	unsigned bit6:1;
	unsigned bit7:1;
};













#line 1 ".\Src\global.c"
#line 1 ".\Include\FC2704.h"

#line 5 ".\Include\FC2704.h"




struct bitRegister{
	unsigned bit0:1;
	unsigned bit1:1;
	unsigned bit2:1;
	unsigned bit3:1;
	unsigned bit4:1;
	unsigned bit5:1;
	unsigned bit6:1;
	unsigned bit7:1;
};

typedef unsigned char uint8_t;
typedef unsigned long uint16_t;

typedef unsigned char BYTE;
typedef unsigned long WORD;
typedef double DWORD;


















sfr	R = 0x82;
sfr	Z = 0x83;
sfr	Y = 0x84;
sfr	PFLAG = 0x86;
sfr	BANK = 0x87;


 sfr    TM0M    =0X90;
 sfr    TM0CL   =0X91;
 sfr    TM0CH   =0X92;
 sfr    TM0D0L  =0X93;
 sfr    TM0D0H  =0X94;
 sfr    TM0D1L  =0X95;
 sfr    TM0D1H  =0X96;
 sfr    PWM0E   =0X97;

 sfr	SPIC0	=0X98;
 sfr	SPIC1	=0X99;
 sfr	SPIBUF	=0X9A;


 sfr    TM1M    =0XA0;
 sfr    TM1C    =0XA1;
 sfr    TM1D0   =0XA2;
 sfr    TM1D1   =0XA3;
 sfr    TM1D2   =0XA4;
 sfr    TM1D3   =0XA5;
 sfr    PWM1E   =0XA6;

 sfr	I2CCON	=0XA8;
 sfr	I2CADD	=0XA9;
 sfr	I2CBUF	=0XAA;

 sfr	E2PCON	=0XAB;
 sfr	E2PDB	=0XAC;
 sfr	E2PADL	=0XAD;
 sfr	E2PADH	=0XAE;



 sfr    TM2M    =0XB0;
 sfr    TM2C    =0XB1;
 sfr    TM2D0   =0XB2;
 sfr    TM2D1   =0XB3;
 sfr    TM2D2   =0XB4;
 sfr    TM2D3   =0XB5;
 sfr    PWM2E   =0XB6;


 sfr    ADM    =0XB9;
 sfr    ADB    =0XBa;
 sfr    ADR    =0XBb;
 sfr    ADT    =0XBc;
 sfr    VREFH  =0XBd;
 sfr    ADPCON =0Xbe;
 sfr	PEDGE  =0XBF;



 sfr    P1W    =0XC0;
 sfr	P1M    =0xC1;
 sfr	P2M    =0XC2;
 sfr	P3M    =0XC3;

 sfr    INTRQ1 =0XC6;
 sfr    INTEN1 =0XC7;
 sfr    INTRQ  =0XC8;
 sfr    INTEN  =0XC9;

 sfr	OSCM   =0xCA;

 sfr	WDTR   =0XCC;
 sfr    OPTION =0XCD;
 sfr	PCL    =0XCE;
 sfr	PCH    =0XCF;


 sfr	P1     =0XD1;
 sfr	P2     =0XD2;
 sfr	P3     =0XD3;

 sfr	T0M    =0XD8;
 sfr	T0C    =0XD9;
 sfr    OPA1CON=0XDA;
 sfr    OPA2CON=0XDB;
 sfr    P10D   =0XDC;
 sfr    P2W    =0XDD;
 sfr    P3W    =0XDE;
 sfr    STKP   =0XDF;


 sfr	P1UR=0XE1;
 sfr	P2UR=0XE2;
 sfr	P3UR=0XE3;

 sfr	YZ=0XE1;

 sfr	P1PD=0XEC;
 sfr	P2PD=0XED;
 sfr	P3PD=0XEE;




sbit	E2P_BTE	    =0xAB:4;
sbit	E2P_CPE	    =0xAB:3;
sbit	E2P_STE		=0xAB:2;
sbit	E2P_PG		=0xAB:1;
sbit	E2P_RD		=0xAB:0;

sbit	SPIEN		=0x98:0;
sbit	SPIM1		=0x98:1;
sbit	SPIM2		=0x98:2;
sbit	SPIM3		=0x98:3;

sbit	WCOL		=0x99:1;
sbit	CSEN		=0x99:2;
sbit	MLS		    =0x99:3;
sbit	CKEG		=0x99:4;
sbit	CKPOLB		=0x99:5;


sbit	I2CEN		=0xA8:0;
sbit	I2CPU		=0xA8:1;
sbit	I2CCKP		=0xA8:2;
sbit	TXAK		=0xA8:3;
sbit	SRW		    =0xA8:4;
sbit	HBB		    =0xA8:5;
sbit	HAAS		=0xA8:6;
sbit	HCF		    =0xA8:7;



sbit	LCDEN		=0x9B:0;
sbit	RESL0		=0x9B:1;
sbit	RESL1		=0x9B:2;
sbit	OSCS		=0x9B:3;
sbit	LCDT0		=0x9B:4;
sbit	LCDT1		=0x9B:5;
sbit	LCDRC_EN	=0x9B:6;



sbit	WDTP0		=0xCD:0;
sbit	WDTP1		=0xCD:1;
sbit	WDTP2		=0xCD:2;
sbit	RTCCON		=0xCD:3;
sbit	LVDTEN		=0xCD:4;
sbit	LDOEN		=0xCD:5;
sbit	LIRC_EN		=0xCD:6;
sbit	RCADJEN		=0xCD:7;




sbit	CHS0		=0xB9:0;
sbit	CHS1		=0xB9:1;
sbit	CHS2		=0xB9:2;
sbit	CHS3		=0xB9:3;
sbit	GCHS		=0xB9:4;
sbit	EOC			=0xB9:5;
sbit	ADS			=0xB9:6;
sbit	ADENB		=0xB9:7;



sbit	ADCKS0		=0xBB:4;
sbit	ADCKS1		=0xBB:6;



sbit	ADT_0		=0xBc:0;
sbit	ADT_1		=0xBC:1;
sbit	ADT_2		=0xBC:2;
sbit	ADT_3		=0xBC:3;
sbit	ADT_4		=0xBC:4;

sbit	ADTS_0		=0xBC:6;
sbit	ADTS_1		=0xBC:7;


sbit	VHS0		=0xBD:0;
sbit	VHS1		=0xBD:1;

sbit	EVHENB		=0xBD:7;



sbit	PWM00E		=0x90:0;
sbit	ALOAD0		=0x90:1;
sbit	T0CKS0		=0x90:2;
sbit	T0CKS1		=0x90:3;
sbit	T0PS0		=0x90:4;
sbit	T0PS1		=0x90:5;
sbit	T0PS2		=0x90:6;
sbit	T0TR		=0x90:7;

sbit	PWM10E		=0xA0:0;
sbit	ALOAD1		=0xA0:1;
sbit	T1CKS0		=0xA0:2;
sbit	T1CKS1		=0xA0:3;
sbit	T1PS0		=0xA0:4;
sbit	T1PS1		=0xA0:5;
sbit	T1PS2		=0xA0:6;
sbit	T1TR		=0xA0:7;

sbit	PWM20E		=0xB0:0;
sbit	ALOAD2		=0xB0:1;
sbit	T2CKS0		=0xB0:2;
sbit	T2CKS1		=0xB0:3;
sbit	T2PS0		=0xB0:4;
sbit	T2PS1		=0xB0:5;
sbit	T2PS2		=0xB0:6;
sbit	T2TR		=0xB0:7;


sbit	PWM01E		=0x97:0;
sbit	PWM00HL		=0x97:1;
sbit	PWM01HL		=0x97:2;
sbit	PWM0M		=0x97:3;
sbit	PWM00OE		=0x97:4;
sbit	PWM01OE		=0x97:5;
sbit	TC0CW		=0x97:6;
sbit	PWM0OD		=0x97:7;

sbit	PWM11E		=0xA6:0;
sbit	PWM12E		=0xA6:1;
sbit	PWM13E		=0xA6:2;
sbit	PWM1M		=0xA6:3;
sbit	PWM10OE		=0xA6:4;
sbit	PWM11OE		=0xA6:5;
sbit	PWM12OE		=0xA6:6;
sbit	PWM13OE		=0xA6:7;

sbit	PWM21E		=0xB6:0;
sbit	PWM22E		=0xB6:1;
sbit	PWM23E		=0xB6:2;
sbit	PWM2M		=0xB6:3;
sbit	PWM20OE		=0xB6:4;
sbit	PWM21OE		=0xB6:5;
sbit	PWM22OE		=0xB6:6;
sbit	PWM23OE		=0xB6:7;



sbit	INT0IE		=0xc9:0;
sbit	INT1IE		=0xc9:1;
sbit	TM0IE		=0xc9:2;
sbit	TM1IE		=0xc9:3;
sbit	TM2IE		=0xc9:4;
sbit	RPIE		=0xc9:5;
sbit	I2CIE		=0xc9:6;
sbit	ADCIE		=0xc9:7;

sbit	E2PIE		=0xc7:0;
sbit	TKTMRIE		=0xc7:1;
sbit	SPIIE		=0xc7:2;
sbit	T0IE	    =0xC7:3;
sbit	OPAIE    	=0xC7:4;

sbit	INT0IF		=0xc8:0;
sbit	INT1IF		=0xc8:1;
sbit	TM0IF		=0xc8:2;
sbit	TM1IF		=0xc8:3;
sbit	TM2IF		=0xc8:4;
sbit	RPIF		=0xc8:5;
sbit	I2CIF		=0xc8:6;
sbit	ADCIF		=0xc8:7;

sbit	E2PIF		=0xc6:0;
sbit	TKTMRIF		=0xc6:1;
sbit	SPIIF		=0xc6:2;
sbit	T0IF	    =0xC6:3;
sbit	OPAIF    	=0xC6:4;

sbit	FP17 = 0xd1:7;
sbit	FP16 = 0xd1:6;
sbit	FP15 = 0xd1:5;
sbit	FP14 = 0xd1:4;
sbit	FP13 = 0xd1:3;
sbit	FP12 = 0xd1:2;
sbit	FP11 = 0xd1:1;
sbit	FP10 = 0xd1:0;

sbit	FP23 = 0xd2:3;
sbit	FP22 = 0xd2:2;
sbit	FP21 = 0xd2:1;
sbit	FP20 = 0xd2:0;

sbit	FP37 = 0xd3:7;
sbit	FP36 = 0xd3:6;
sbit	FP35 = 0xd3:5;
sbit	FP34 = 0xd3:4;
sbit	FP33 = 0xd3:3;
sbit	FP32 = 0xd3:2;
sbit	FP31 = 0xd3:1;
sbit	FP30 = 0xd3:0;

sbit	FCPUM1 = 0xca:4;
sbit	FCPUM0 = 0xca:3;
sbit	FCLKMD = 0xca:2;
sbit	FSTPHX = 0xca:1;

sbit	FGIE   = 0xDF:7;

sbit	FSTKPB2= 0xDF:2;
sbit	FSTKPB1= 0xDF:1;
sbit	FSTKPB0= 0xDF:0;












#line 2 ".\Src\global.c"
#line 1 ".\Src\tim.h"



extern bit bit250us;
extern bit bit1ms;
extern bit bit10ms;
extern bit bit50ms;
extern bit bit100ms;

extern void t0_enable(void);
extern void t0_disable(void);


#line 3 ".\Src\global.c"
#line 1 ".\Src\key.h"











struct KEY_STRUCT
{
  unsigned  bitShortClickTmp:1;
  unsigned  bitShortClick:1;
  unsigned  bitLock:1;
  unsigned  bitLongClick:1;
  uint8_t   u8PinNow;
  uint8_t   u8PinLast;
  uint8_t   u8count1;
  uint8_t   u8count2;
  uint8_t   u8KeyValue;
};




struct SWITCH_STRUCT
{
  uint8_t bitStatus;
  uint8_t u8count1;
  uint8_t u8count2;
};

extern struct SWITCH_STRUCT structSwitch[1];
extern struct KEY_STRUCT structKey;
extern void scan_key(void);

#line 4 ".\Src\global.c"
#line 1 ".\Src\global.h"

















struct MOTOR_STRUCT
{
  uint8_t u8ShutDownCurrent;
  uint8_t u8CurrentProtectDelayTime;
  uint8_t u8MotorStartDelayTime;
  uint8_t u8CurrentErr;
  uint8_t u8motorCurrent;
  uint8_t u8motorStatus;
  uint8_t u8ADCDelayTime;
  uint8_t u8ADCDelayEn;
};

extern struct MOTOR_STRUCT motorStruct;


#line 41 ".\Src\global.h"
extern void motor_out(void);
void load_value_to_adt(void);
extern void beep_ctr(void);
extern void system_init(void);
extern void dis_ctr(void);
extern void sleep_ctr(void);
extern void key_service(void);
extern void motor_ctr(void);
extern void get_motor_current(void);
extern void read_dat_from_e2porom(void);
extern void motor_adc_delay_judge(void);


#line 5 ".\Src\global.c"
#line 1 ".\Src\leddisplay.h"













































































struct DIS_STRUCT
{
  unsigned  bitDp1:1;
  unsigned  bitDp2:1;
  uint8_t   u8first;
  uint8_t   u8second;
  uint8_t   u8one;
  uint8_t   u8ten;
};











extern  uint8_t u8digTable[20];
extern struct DIS_STRUCT disStruct;
extern void san_dispaly(void);

#line 6 ".\Src\global.c"
#line 1 ".\Src\adc.h"





struct ADC_STRUCT
{
  uint8_t   u8adcFinish;
  uint8_t   u8count;
  uint16_t  u16max;
  uint16_t  u16min;
  uint16_t  u16sum;
  uint16_t  u16AdcValue;
  uint16_t  u16AdcFilterValue;
  uint8_t   u8cnt;
  uint8_t   u8adtEn;
};


extern uint16_t u16adcTmp;

extern struct ADC_STRUCT structLockedRotor;
void read_adc_chs(void);
extern void adc_init(void);

#line 7 ".\Src\global.c"
#line 1 ".\Src\eeprom.h"





void e2promInit(void);
void eepromWrite(uint8_t e2_adders,uint8_t e2_data);
uint8_t eepromRead(uint8_t e2_adders);


#line 8 ".\Src\global.c"


struct MOTOR_STRUCT motorStruct={15,5,2,15,0,0,5,0};

void dis_ctr(void);
void motor_ctr(void);

void beep_ctr(void);
void sleep_ctr(void);
void key_service(void);
void system_init(void);
void get_motor_current(void);

uint16_t tableProtectVoltage[61]=
{
806	,
833	,
861	,
888	,
916	,
943	,
971	,
999	,
1026	,
1054	,
1081	,
1109	,
1136	,
1164	,
1191	,
1219	,
1246	,
1274	,
1301	,
1329	,
1356	,
1384	,
1411	,
1439	,
1466	,
1494	,
1521	,
1549	,
1576	,
1604	,
1631	,
1659	,
1686	,
1714	,
1742	,
1769	,
1797	,
1824	,
1852	,
1879	,
1907	,
1934	,
1962	,
1989	,
2017	,
2044	,
2072	,
2099	,
2127	,
2154	,
2182	,
2209	,
2237	,
2264	,
2292	,
2319	,
2347	,
2374	,
2402	,
2429	,
2457	,
};


#line 95 ".\Src\global.c"
void motor_adc_delay_judge(void)
{
  static uint8_t u8t=0;
  if(motorStruct.u8ADCDelayEn==0)
  {
    u8t++;
    if(u8t>=motorStruct.u8ADCDelayTime)
    {
      u8t=0;
      motorStruct.u8ADCDelayEn=1;
    }
  }
  else
  {
    u8t=0;
  }
}

#line 121 ".\Src\global.c"
void motor_out(void)
{
  static uint8_t u8i=0;
  u8i++;
  if(u8i>20)
  u8i=0;
  switch(motorStruct.u8motorStatus)
  {
    case 1 :
	  switch(u8i)
	  {
	    case 0:
 FP36 =0;FP35 =0;
 FP31 =0;FP32 =0;
		break;
		case 1:
 FP36 =0;FP35 =0;
 FP32 =0;FP31 =1;
		break;
		case 2:
 FP36 =0;FP35 =0;
 FP31 =0;FP32 =0;
		break;
		default:
 FP36 =0;FP35 =1;
 FP31 =0;FP32 =1;
		break;
	  }
	break;

	case 2 :
	  switch(u8i)
	  {
	    case 0:
 FP36 =0;FP35 =0;
 FP31 =0;FP32 =0;
		break;
		case 1:
 FP36 =0;FP35 =1;
 FP31 =0;FP32 =0;
		break;
		case 2:
 FP36 =0;FP35 =0;
 FP31 =0;FP32 =0;
		break;
		default:
 FP35 =0;FP36 =1;
 FP32 =0;FP31 =1;
		break;
	  }
	break;

	case 0 :
 FP36 =0;
 FP35 =0;
 FP32 =0;
 FP31 =0;
	break;
  }
}

#line 190 ".\Src\global.c"











void read_dat_from_e2porom(void)
{
  uint8_t tmp=0,bitRead=0;

  tmp=eepromRead(0x05);
  if(tmp==0xAF)
  {
    tmp=eepromRead(0x00);
    if(tmp<=50)
    {
      motorStruct.u8ShutDownCurrent=tmp;
    }
    else
    {
      bitRead= 1;
    }

    tmp=eepromRead(0x01);
    if(tmp<=50)
    {
      motorStruct.u8CurrentProtectDelayTime=tmp;
    }
    else
    {
      bitRead= 1;
    }

    tmp=eepromRead(0x02);
    if(tmp<=50)
    {
      motorStruct.u8MotorStartDelayTime=tmp;
    }
    else
    {
      bitRead= 1;
    }

    tmp=eepromRead(0x03);
    if(tmp<=30)
    {
      motorStruct.u8CurrentErr=tmp;
    }
    else
    {
      bitRead= 1;
    }
    tmp=eepromRead(0x04);
    if(tmp<=100)
    {
      motorStruct.u8ADCDelayTime=tmp;
    }
    else
    {
      bitRead= 1;
    }
  }
  else
  {
    bitRead= 1;
  }
  if(bitRead== 1)
  {
    eepromWrite(0x00,15);
    eepromWrite(0x01,5);
    eepromWrite(0x02,2);
    eepromWrite(0x03,15);
    eepromWrite(0x04,5);
    eepromWrite(0x05,0xAF);
  }
}

#line 280 ".\Src\global.c"
void motor_ctr(void)
{
  static uint8_t u8x=0,u8y=0,u8z=0,u8step=0;
  uint16_t u16tmp=0;
  u16tmp=tableProtectVoltage[motorStruct.u8ShutDownCurrent];

  switch(u8step)
  {
    case 0:
	if(structSwitch[0].bitStatus)
	u8step=1;
	else
	u8step=3;
	break;

	case 1:
	if(structSwitch[0].bitStatus==0)
	u8step=3;

      if(motorStruct.u8motorStatus!= 1)
      {
        if(motorStruct.u8ADCDelayTime!=0)
        motorStruct.u8ADCDelayEn=0;
        else
        motorStruct.u8ADCDelayEn=1;
        u8y++;
        if(u8y>(motorStruct.u8MotorStartDelayTime<<1))
        {
          u8y=0;
          motorStruct.u8motorStatus= 1;
        }
      }
	  else
	  {
	    u8y=0;
	  }


      if(motorStruct.u8ADCDelayEn)
      {
        if(structLockedRotor.u16AdcFilterValue>u16tmp)
        {
          u8x++;
          if(u8x>(motorStruct.u8CurrentProtectDelayTime<<1))
          {
            u8x=0;
            motorStruct.u8motorStatus= 0;
		    u8step=2;
          }
        }
	    else
	    u8x=0;
      }
	break;

	case 2:
    motorStruct.u8motorStatus= 0;
	if(structSwitch[0].bitStatus==0)
	u8step=3;
	break;

	case 3:
	if(structSwitch[0].bitStatus)
	u8step=1;


      if(motorStruct.u8motorStatus!= 2)
      {
        if(motorStruct.u8ADCDelayTime!=0)
        motorStruct.u8ADCDelayEn=0;
        else
        motorStruct.u8ADCDelayEn=1;
        u8z++;
        if(u8z>(motorStruct.u8MotorStartDelayTime<<1))
        {
          u8z=0;
          motorStruct.u8motorStatus= 2;
        }
      }
	  else
	  {
	    u8z=0;
	  }

      if(motorStruct.u8ADCDelayEn)
      {
        if(structLockedRotor.u16AdcFilterValue>u16tmp)
        {
          u8x++;
          if(u8x>(motorStruct.u8CurrentProtectDelayTime<<1))
          {
            u8x=0;
            motorStruct.u8motorStatus= 0;
		    u8step=4;
          }
        }
	    else
	    u8x=0;
      }
	break;

	case 4:
    motorStruct.u8motorStatus= 0;
	if(structSwitch[0].bitStatus)
	u8step=1;
	break;
  }
}


#line 398 ".\Src\global.c"
void load_value_to_adt(void)
{
  if(structLockedRotor.u8adtEn)
  {
    structLockedRotor.u8adtEn=0;
    ADM=0x00;
    if(motorStruct.u8CurrentErr<15)
    {
      ADT=15-motorStruct.u8CurrentErr;


    }
    else
    {
	  ADT=motorStruct.u8CurrentErr-15;
      ADT|=0x10;


    }

	adc_init();
  }
}

#line 430 ".\Src\global.c"
void get_motor_current(void)
{
  static uint8_t u8x=0;
  uint8_t u8i=0;
  for(u8i=0;u8i<61;u8i++)
  {
    if(structLockedRotor.u16AdcFilterValue<=tableProtectVoltage[u8i])
    break;
  }

  if(motorStruct.u8motorCurrent!=u8i)
  {
    u8x++;
	if(u8x>9)
    motorStruct.u8motorCurrent=u8i;
  }
  else
  {
    u8x=0;
  }
}

#line 460 ".\Src\global.c"
void dis_ctr(void)
{
  if(disStruct.u8second==0)
  {
    disStruct.bitDp1=0;
    disStruct.u8ten= 18;
    disStruct.u8one=disStruct.u8first;
  }
  else
  {
    disStruct.bitDp1=1;
  }

  switch(disStruct.u8first)
  {
    case 1 :
      if(disStruct.u8second)
      {
        disStruct.u8one=motorStruct.u8ShutDownCurrent%10;
        disStruct.u8ten=motorStruct.u8ShutDownCurrent/10;
      }
    break;

    case 2 :
      if(disStruct.u8second)
      {
        disStruct.u8ten=motorStruct.u8CurrentProtectDelayTime/10;
        disStruct.u8one=motorStruct.u8CurrentProtectDelayTime%10;
      }
    break;

    case 3 :
      if(disStruct.u8second)
      {
        disStruct.u8ten=motorStruct.u8MotorStartDelayTime/10;
        disStruct.u8one=motorStruct.u8MotorStartDelayTime%10;
      }
    break;

    case 4 :
      disStruct.bitDp1=0;
      if(disStruct.u8second)
      {
        if(motorStruct.u8CurrentErr<15)
        {
          disStruct.u8ten= 17;
          disStruct.u8one=15-motorStruct.u8CurrentErr;
        }
        else
        {
          disStruct.u8ten= 16;
          disStruct.u8one=motorStruct.u8CurrentErr-15;
        }
      }
    break;

    case 5 :
      disStruct.bitDp1=1;
      disStruct.u8ten=motorStruct.u8motorCurrent/10;
      disStruct.u8one=motorStruct.u8motorCurrent%10;
    break;

    case 6 :
      if(disStruct.u8second)
      {

        if(motorStruct.u8ADCDelayTime!=100)
        {
          disStruct.u8ten=motorStruct.u8ADCDelayTime/10;
          disStruct.u8one=motorStruct.u8ADCDelayTime%10;
        }
        else
        {
          disStruct.bitDp1=0;
          disStruct.u8ten=1;
          disStruct.u8one=0;
        }
      }
	  else
      {
	      disStruct.u8one=5;
      }
    break;
  }
}

#line 555 ".\Src\global.c"
void sleep_ctr(void)
{


























}

#line 594 ".\Src\global.c"
void key_service(void)
{
  if(structKey.bitShortClick)
  {
    structKey.bitShortClick=0;


	   switch(structKey.u8KeyValue)
	   {
      case 0x01:


        switch(disStruct.u8first)
        {
          case 1 :
            if(disStruct.u8second== 0)
            {
              disStruct.u8second= 1;
            }
            else
            {
              disStruct.u8second= 0;
              disStruct.u8first= 2;
            }
          break;

          case 2 :
            if(disStruct.u8second== 0)
            {
              disStruct.u8second= 1;
            }
            else
            {
              disStruct.u8second= 0;
              disStruct.u8first= 3;
            }
          break;

          case 3 :
            if(disStruct.u8second== 0)
            {
              disStruct.u8second= 1;
            }
            else
            {
              disStruct.u8second= 0;
              disStruct.u8first= 4;
            }
          break;

          case 4 :
            if(disStruct.u8second== 0)
            {
              disStruct.u8second= 1;
            }
            else
            {
              disStruct.u8second= 0;
              disStruct.u8first= 6;
			  structLockedRotor.u8adtEn=1;
            }
          break;

          case 6 :
            if(disStruct.u8second== 0)
            {
              disStruct.u8second= 1;
            }
            else
            {
              disStruct.u8second= 0;
              disStruct.u8first= 5;
              eepromWrite(0x00,motorStruct.u8ShutDownCurrent);
              eepromWrite(0x01,motorStruct.u8CurrentProtectDelayTime);
              eepromWrite(0x02,motorStruct.u8MotorStartDelayTime);
              eepromWrite(0x03,motorStruct.u8CurrentErr);
              eepromWrite(0x04,motorStruct.u8ADCDelayTime);
            }
          break;






        }
      break;


      case 0x02:
        switch(disStruct.u8first)
        {
          case 1 :
            if(disStruct.u8second== 1)
            {
              if(motorStruct.u8ShutDownCurrent<50)
              motorStruct.u8ShutDownCurrent++;
            }
          break;

          case 2 :
            if(disStruct.u8second== 1)
            {
              if(motorStruct.u8CurrentProtectDelayTime<50)
              motorStruct.u8CurrentProtectDelayTime++;
            }
          break;

          case 3 :
            if(disStruct.u8second== 1)
            {
              if(motorStruct.u8MotorStartDelayTime<50)
              motorStruct.u8MotorStartDelayTime++;
            }
          break;

          case 4 :
            if(disStruct.u8second== 1)
            {
              if(motorStruct.u8CurrentErr<30)
              motorStruct.u8CurrentErr++;
            }
          break;

          case 6 :
            if(disStruct.u8second== 1)
            {
              if(motorStruct.u8ADCDelayTime<100)
              motorStruct.u8ADCDelayTime++;
            }
          break;




        }
      break;

      case 0x04:
        switch(disStruct.u8first)
        {
          case 1 :
            if(disStruct.u8second== 1)
            {
              if(motorStruct.u8ShutDownCurrent>0)
              motorStruct.u8ShutDownCurrent--;
            }
          break;

          case 2 :
            if(disStruct.u8second== 1)
            {
              if(motorStruct.u8CurrentProtectDelayTime>0)
              motorStruct.u8CurrentProtectDelayTime--;
            }
          break;

          case 3 :
            if(disStruct.u8second== 1)
            {
              if(motorStruct.u8MotorStartDelayTime>0)
              motorStruct.u8MotorStartDelayTime--;
            }
          break;

          case 4 :
            if(disStruct.u8second== 1)
            {
              if(motorStruct.u8CurrentErr>0)
              motorStruct.u8CurrentErr--;
            }
          break;

          case 6 :
            if(disStruct.u8second== 1)
            {
              if(motorStruct.u8ADCDelayTime>0)
              motorStruct.u8ADCDelayTime--;
            }
          break;

	       }
      break;
    }
  }
  if(structKey.bitLongClick)
  {
    structKey.bitLongClick=0;
    if(structKey.u8KeyValue==0x01)
    {
      disStruct.u8second= 0;
      disStruct.u8first= 1;
    }
  }
}

#line 797 ".\Src\global.c"
void system_init(void)
{
  ADPCON=0x00;
  ADR  =0x00;
  VREFH=0x00;
  ADM  =0x00;

  T0M=0x00;
  T0IE=0;
  TM1M =0x00;
  TM2M =0x00;
  PWM1E=0x00;
  PWM2E=0x00;
  FGIE=0;

  P1   =0x00;
  P1M  =0xFF;
  P1W  =0x00;
  P1UR =0x00;

  P2   =0x00;
  P2M  =0xFB;
  P2W  =0x00;
  P2UR =0x04;

  P3   =0x00;
  P3M  =0x67;
  P3W  =0x00;
  P3UR =0x18;
}

