#include "FC2704.h"
#include"key.h"
#include"leddisplay.h"
#include"tim.h"
#include"adc.h"
#include"rf.h"

void delay_1ms(uint8_t x_1ms);
void system_init(void);
void mode_ctr(void);
/******************************************************************************************************
*      ƣvoid main(void)
*      ܣ
*  ڲ
*  ڲ
*  ˵    
*      
******************************************************************************************************/
void main(void)
{
  uint8_t i=0;
  system_init();
  t0_enable();
  adc_init();
  for(i=0;i<200;i++)
  {
    delay_1ms(1);
    read_adc_chs();
  }    

  while(1)
  { 
#if 1
    WDTR=0x5A;
    if(bit1ms)
    {
      bit1ms=0; 
      san_key_led_dispaly();
      key_service();
      ir_service();
    }
  
    if(bit10ms)
    {
      bit10ms=0;  

      sw_ctr();
      beep_ctr();
      led_display_ctr(); 
    }
    if(bit100ms)
    {
      bit100ms=0; 
      timer_ctr();    
      get_temp();
      mode_ctr();
    }
#endif  
  } 
 
}
/******************************************************************************************************
*      ƣvoid mode_ctr(void)
*      ܣ
*  ڲ
*  ڲ
*  ˵    
*      
******************************************************************************************************/
void mode_ctr(void)
{
  static uint8_t u8step=0,x=0;
  switch(u8LedStatus&(BIT_NOR+BIT_NAT+BIT_SLP))
  {
    case BIT_NOR:
    x=0;
    u8step=0;
    uint8Duty=25-u8speed;
    break;
	
    case BIT_SLP:
    case BIT_NAT:  
    x++;
    if(x>29)
    {
      x=0;
      u8step++;
      if(u8step>7)
      u8step=0;
    }
    switch(u8step)
    {
      case 0:
      uint8Duty=25-u8speed;			
      break;
			
      case 1:
      //uint8Duty=25-u8speed+3;	
      uint8Duty=28-u8speed;				
      break;
		  
		  case 2:
            //uint8Duty=25-u8speed+5;	
            uint8Duty=30-u8speed;				
		  break;
		  case 3:
            //uint8Duty=25-u8speed+1;	
            uint8Duty=26-u8speed;				
		  break;	 
		  
		  case 4:
            //uint8Duty=25-u8speed+4;	
            uint8Duty=29-u8speed;				
		  break;
		  
		  case 5:
            //uint8Duty=25-u8speed+2;	
            uint8Duty=27-u8speed;				
		  break;
		  
		  case 6:
            //uint8Duty=25-u8speed+6;	
            uint8Duty=31-u8speed;				
		  break;
		  
		  case 7:
            //uint8Duty=25-u8speed+3;	
            uint8Duty=28-u8speed;				
		  break;	  
		}
	break;
	
//    case BIT_NAT:
//    x=0;
//    u8step=0;
//    break;
    
  }

}
/******************************************************************************************************
*      ƣvoid delay_1ms(uint8_t x_1ms)
*      ܣʱ x_1ms ,ϵͳƵΪ12M/4
*  ڲx_1ms    
*  ڲ
*      ڣ2017.11.14
*      ߣм
******************************************************************************************************/
void delay_1ms(uint8_t x_1ms)
{
  uint8_t i=0;
  WDTR=0x5A;
  for(;x_1ms>0;x_1ms--)
  {
    for(i=249;i>0;i--)
	{
      __asm{nop};
	  __asm{nop};
	  __asm{nop};
	  __asm{nop};
      __asm{nop};
      __asm{nop};
      __asm{nop};
	  __asm{nop};
	  __asm{nop};
	  __asm{nop};
	  __asm{nop};
	  __asm{nop};
    }
  }
}
/******************************************************************************************************
*      ƣvovoid system_init(void)
*      ܣϵͳʼ
*  ڲ    
*  ڲ
*      ڣ2017.11.18
*      ߣм
******************************************************************************************************/
void system_init(void)
{
	//******************************************************************
	//P1_IO_init
	P1=0xFF;		//0000 0000
	P1M=0x8F;		//1111 1111 ;0=in / 1=out
	P1UR=0x60;		//0000 0000 ;UP_pull;0=dis / 1=en
	P1W=0x00;		
	//0000 0000	;wakeup ;0=dis / 1=en
	//******************************************************************
	//P2_IO_init
	P2=0x00;		//0000 0000
	P2M=0xFB;		//1111 1011 ;0=in / 1=out
	P2UR=0x04;		//0000 0100 ;UP_pull;0=dis / 1=en
	P2W=0x00;		//0000 0000	;wakeup ;0=dis / 1=en
	//******************************************************************
	//P3_IO_init
	P3=0x01;		//0000 0000
	P3M=0x01;		//1111 1111 ;0=in / 1=out
	P3UR=0xDE;		//0000 0000 ;UP_pull;0=dis / 1=en
	P3W=0x00;		//0000 0000	;wakeup ;0=dis / 1=en
	//******************************************************************
	T0M=0;          //T0TR T0PS2 T0PS1 T0PS0 - - - -        000,Fcpu/256   111  Fcpu/2
    T0C=0; 
	
	TM0M=0;         //TM0TR TM0PS2 TM0PS1 TM0PS0 TM0CKS1 TM0CKS0 ALOAD PWM00E
    //TM0C=0;
	PWM0E=0x00;

	TM1M=0x00;        //TM1TR TM1PS2 TM1PS1 TM1PS0 TM1CKS1 TM1CKS0 ALOAD PWM10E	
	PWM1E=0x00;       //PWM13OE PWM12OE PWM11OE PWM10OE PWM1M PWM13E PWM12E PWM11E	
	TM1D0=0;        //PWM11ռձȿƼĴ		
	TM1C=0;         //ʼֵ	

	//******************************************************************
	//INT_init
	INTEN=0x00;	   //0000 0000 /7-ADCIE  ;6-I2CIE  ;5-RPIE  ;4-TM2IE  ;3-TM1IE ;2-TM0IE ;1-INT1IE  ;0-INT0IE ;

	INTRQ=0x00;	   //0000 0000 /7-ADCIF  ;6-I2CIF  ;5-RPIF  ;4-TM2IF  ;3-TM1IF ;2-TM0IF ;1-INT1IF  ;0-INT0IF ;
	INTEN1=0x00;   //0000 0000 /7-       ;6-       ;5-      ;4-OPAIE  ;3-T0IE  ;2-SPIIE ;1-TKTMRIE ;0-       ;
	INTRQ1=0x00;   //0000 0000 /7-       ;6-       ;5-      ;4-OPAIF  ;3-T0IF  ;2-SPIIF ;1-TKTMRIF ;0-       ;

	PEDGE=0x00;	   //0000 0000 /7-INT1S2 ;6-INT1S1 ;5-INT1S0;4-INT1G1 ;3-INT1G0;2-INT0G1;1-INT0G0  ;0-INT0S  ;
	FGIE=0;
	//******************************************************************
	ADPCON=0x00;  
    ADR  =0x00;   //12λADC
    VREFH=0x00;   //ڲοѹ:  VDD:0x03   4.0V:0x02   3.0V:0x01    2.0V:0x00
    ADM  =0x00;   //
	//******************************************************************
	//OPTION
	//OPTION=0x10;     //0001 0000 /7-RCADJEN;6-LIRC_EN;5-LDOEN ;4-LVDTEN ;3-RTCCON;2-WDTP2 ;1-WDTP1   ;0-WDTP0  ;
	//******************************************************************      	 
} 