#include "FC2704.h"
#include"key.h"
#include"leddisplay.h"
#include"tim.h"
#include"rf.h"
bit bit250us=0;
bit bit1ms=0;
bit bit10ms=0;
bit bit100ms=0;
bit bitBeepEn=0;
uint8_t uint8Duty=25;
struct TIMER_STRUCT timerStruct={0,0,0};
void pwm_enable(void);
void pwm_disable(void);
/******************************************************************************************************
*      ƣжϷ
*      ܣ
*  ڲ
*  ڲ
*      ڣ2019.6.14
*      ߣм
******************************************************************************************************/
void __interrupt[0x8] isr(void)
{
  static uint8_t i=0,j=0,x=0;
  static uint8_t data1=0,data2=0;  
  static uint8_t u8Step=0,IrLast=0,CntH=0,CntL=0,rfDataBit=0;
  static uint8_t u8count=0,u8FanTmp=0;
  static bit bit50HzNow=0,bit50HzLast=0,bitCountEnable=0;

  if(T0IF)
  {
    T0C=68;      //װֵ	  
    j++;
    //scan_ir();
    switch(u8Step)
    {
      case 0:
      {
        //检测一个下降沿
        CntH++;
        if(CntH>40)
        {
          CntH=0;	 
          bitIrLock=0;	
        }			
        if((P_Ir==0)&&(IrLast))
        {
          CntL=0;  
          u8Step=3;           
        }
        rfDataBit=0;
        IrLast=P_Ir;         
      } 
      break;

      case 3:
      { 
        CntL++;
        //检测低电平 
        if(P_Ir==1)
        {
          data2<<=1;
          if(data1&0x80)data2|=0x01;   
          data1<<=1;                 //移位，为新数据腾出位置          
          if(CntL>3)data1|=0x01;    
              
          rfDataBit++;  
          if(rfDataBit>11)
          {
            u8Step=5;//进行校验     
          }   
          else
          {
            CntH=0;
            u8Step=2;   
          }                 
        }
        else 
        {
          if(CntL>8)
          {
            IrLast=0;
			CntH=0;
            u8Step=0;//低电平时间超过一定值退出
          }
        }   
      }
      break;    
      
      case 2:
      {
         
        CntH++;
        if(P_Ir)
        {
          if(CntH>8)
          {
	    CntH=0;  
            u8Step=0;//高电平时间超过一定值退出
          }
        }
        else
        {
          CntL=0;
          u8Step=3;
        }  
      }
      break;
      
  
  
      case 5:
      {
        if((data2==0x0D)&&(bitIrLock==0))
        {
          bitIrLock=1;
          IrData=data1;
          bitIrOk=1;
        }
        data1=0;
        data2=0; 
        CntH=0;		
        u8Step=0;
      }
      break;   
    }
    //silicon_control();

  if(u8status==STATUS_ON)  //ŵ
  {  
    FAN_EN;  
  
    //¼50Hzŵһεƽڵƽ״̬,һ,
    bit50HzLast=bit50HzNow;
    if(P_50HZ_IN)
      bit50HzNow=1;
    else 
      bit50HzNow=0;
    if((bit50HzLast==1)&&(bit50HzNow==0))//һ½
    {
      u8count=0;
      bitCountEnable=1;
      u8FanTmp=uint8Duty;
    }
    if((bit50HzLast==0)&&(bit50HzNow==1))//һ
    {
      u8count=0;
      bitCountEnable=1;
      u8FanTmp=uint8Duty;
    }
    if(bitCountEnable)
    {
      u8count++;
      if(u8count==u8FanTmp)
      FAN_CTR_EN;
	  
	  if(u8count>(u8FanTmp+3))
	  FAN_CTR_DIS;	
    }
  }
  else 
  {
    bitCountEnable=0;
    FAN_DIS;
    FAN_CTR_DIS;  
  }


    if(j>3)  
    {
      j=0;
      bit1ms=1; 
	  i++;
	  x++;
    }  
    
    if(i>9)
    {
      i=0;  
      bit10ms=1;     
    }  
    if(x>99)
    {
      x=0;
      P2^=0x02;
      bit100ms=1;
    } 
  }	  	 
  INTRQ=0;
  INTRQ1=0;			
}
/******************************************************************************************************
*      ƣvoid t0_enable(void)
*      ܣt0ʱж
*  ڲ
*  ڲ
*  ˵    
*      
*      ڣ2019614
*      ߣм
******************************************************************************************************/
void t0_enable(void)
{
  T0M=0xD0;      //T0TR T0PS2 T0PS1 T0PS0 - - - -   000,Fcpu/256 001/128 010/64 011/32 100/16 101/8 110/4 111/2
  T0C=68;        //
  T0IE=1;        //T0ж
  FGIE=1;
}
/******************************************************************************************************
*      ƣvoid t0_disable(void)
*      ܣt0ʱж
*  ڲ
*  ڲ
*  ˵    
*      
*      ڣ2019614
*      ߣм
******************************************************************************************************/
void t0_disable(void)
{
  T0M=0x00;	
  T0IE=0;
  FGIE=0;
}

/******************************************************************************************************
*      ƣvoid beep_ctr(void)
*      :4Khz 50%Ĳ80msֹͣ
*  ڲbitBeepEn־λ
*  ڲ
*  ˵    :ṩԷ
*      ڣ2020.3.11
*      ߣ
******************************************************************************************************/
void beep_ctr(void)
{
  static uint8_t u8step=0,x=0;
  switch(u8step)
  {
    case 0:
      if(bitBeepEn)
      {
        bitBeepEn=0;
        pwm_enable();
        x=0;
        u8step=1;
      }  
    break;
    
    case 1:
      x++;
      if(x>8)
      {
        pwm_disable();
        u8step=0;
      } 
    break;
  }  
}

/******************************************************************************************************
*       ƣvoid timer_ctr(void)
*       : ȶʱ
*  ڲu8hour
*  ڲ
*  ˵     : ʱ
*       ڣ2020.3.17
*       ߣ
******************************************************************************************************/
void timer_ctr(void)
{
  if(u8hour!=0)
  {
    //˶ʱ
    timerStruct.u8SecTmp++;
    if(timerStruct.u8SecTmp>59)
    {
      timerStruct.u8SecTmp=0;
      timerStruct.u8MinTmp++;
    }
    if(timerStruct.u8MinTmp>59)
    {
      timerStruct.u8MinTmp=0;
      timerStruct.u8HourTmp++;
    }
    if(timerStruct.u8HourTmp>u8hour)
    {
      u8LedStatus=0;//LEDƱ־λȫ
      bitTimerEn=0;
      u8status=STATUS_0FF;//ػ
    } 
  }
}
/******************************************************************************************************
*       ƣvoid sw_ctr(void)
*       : Ʒҡͷ
*  ڲu8LedStatus&BIT_SW
*  ڲ
*  ˵     :Ʒҡͷ
*       ڣ2020.3.17
*       ߣ
******************************************************************************************************/
void sw_ctr(void)
{
  if(u8LedStatus&BIT_SW)
  {
    SW_EN;  
  }
  else
  {
    SW_DIS;
  }  
}
/******************************************************************************************************
*       ƣvoid silicon_control(void)
*       : ɿع
*  ڲ
*  ڲ
*  ˵     :
*       ڣ2020.3.17
*       ߣ
******************************************************************************************************/
#if 0
void silicon_control(void)
{
  static uint8_t u8count=0,u8FanTmp=0;
  static bit bit50HzNow=0,bit50HzLast=0,bitCountEnable=0;
  if(u8status==STATUS_ON)  //ŵ
  {  
    FAN_EN;  
  
    //¼50Hzŵһεƽڵƽ״̬,һ,
    bit50HzLast=bit50HzNow;
    if(P_50HZ_IN)
      bit50HzNow=1;
    else 
      bit50HzNow=0;
    if((bit50HzLast==1)&&(bit50HzNow==0))//һ½
    {
      u8count=0;
      bitCountEnable=1;
      u8FanTmp=uint8Duty;
    }
    if((bit50HzLast==0)&&(bit50HzNow==1))//һ
    {
      u8count=0;
      bitCountEnable=1;
      u8FanTmp=uint8Duty;
    }
    if(bitCountEnable)
    {
      u8count++;
      if(u8count==u8FanTmp)
      FAN_CTR_EN;
	  
	  if(u8count>(u8FanTmp+3))
	  FAN_CTR_DIS;	
    }
  }
  else 
  {
    bitCountEnable=0;
    FAN_DIS;
    FAN_CTR_DIS;  
  }  
}
#endif
/******************************************************************************************************
*      ƣvoid pwm_enable(void)
*      ܣPWM
*  ڲ
*  ڲ
*      ڣ2019.8.26
*      ߣ
******************************************************************************************************/
void pwm_enable(void)
{ 
  TM1D0=162;   //PWM10ߵƽʱ,TM1D0-TM1C
  TM1C=68;     //ʼֵ
  PWM1E|=0x10;//P14PWM10ź
  TM1M|=0xB7; //Fosc/16/188=12000KHz/16/188=3.9KHz
}
/******************************************************************************************************
*      ƣvoid pwm_disable(void)
*      ܣرPWM
*  ڲ
*  ڲ
*      ڣ2019.8.26
*      ߣ
******************************************************************************************************/
void pwm_disable(void)
{  
  PWM1E&=~0x10;  //ֹP14PWM10ź
  TM1M=0;
}


